Search documentation of ExStreamClient

# ExStreamClient.Model.TranslateMessageRequest (ExStreamClient v0.1.10)

View Source

Schema representing a TranslateMessageRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.TranslateMessageRequest{
      language:
        :ht
        | :lt
        | :vi
        | :ur
        | :uk
        | :tr
        | :th
        | :ta
        | :tl
        | :sv
        | :sw
        | :"es-MX"
        | :es
        | :so
        | :sl
        | :sk
        | :sr
        | :ru
        | :ro
        | :pt
        | :pl
        | :ps
        | :fa
        | :no
        | :ms
        | :lv
        | :ko
        | :ja
        | :it
        | :id
        | :hu
        | :hi
        | :he
        | :ha
        | :el
        | :de
        | :ka
        | :"fr-CA"
        | :fr
        | :fi
        | :et
        | :en
        | :nl
        | :"fa-AF"
        | :da
        | :cs
        | :hr
        | :"zh-TW"
        | :zh
        | :bg
        | :bs
        | :bn
        | :az
        | :ar
        | :am
        | :sq
        | :af
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()